/* Chart */
.c3 svg {
  font: 10px sans-serif;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

.c3 path, .c3 line {
  fill: none;
  stroke: rgba(0, 0, 0, .2);
}

.c3 text {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

.c3 text tspan {
  transform: translateY(1em);
}
.dashboard__item .c3 text tspan {
  transform: none;
}

.c3-legend-item-tile, .c3-xgrid-focus, .c3-ygrid, .c3-event-rect, .c3-bars path {
  shape-rendering: crispEdges;
}

.c3-chart-arc path {
  stroke: #fff;
}

.c3-chart-arc text {
  fill: #fff;
  font-size: 13px;
}

.c3-xgrid-focus line {
  opacity: .38;
}

/* Axis */
.c3-axis-y .tick line,
.c3-axis-y .tick line {
  opacity: 0;
}

.c3-ygrids line {
  opacity: .38;
  stroke-dasharray: none;
}

.c3-axis-y {
  fill: #828282;
}

.c3-axis-y path,
.c3-axis-y line {
  stroke: #828282;
}

.c3-axis-y2 {
  fill: #f50057;
}

.c3-axis-y2 path,
.c3-axis-y2 line {
  stroke: #f50057;
}

.c3-axis-y--decorated .tick {
  display: none;
}

.c3-axis-y--decorated .tick line {
  opacity: 1;
  stroke: rgba(0, 0, 0, .2);
}

.c3-axis-y--decorated .tick:nth-child(4n + 1) {
  display: block;
}

.c3-legend__item.c3-legend--y2,
.c3-tooltip .c3-legend--y2 td {
  color: #f50057;
}

/* Grid */
.c3-grid line {
  stroke: #aaa;
}

.c3-grid .c3-ygrid-line text {
  fill: rgba(0, 0, 0, .87);
  font-size: 12px;
}

.c3-grid text {
  fill: #aaa;
}

.c3-xgrid, .c3-ygrid {
  stroke-dasharray: 3 3;
}

/* Text on Chart */
.c3-text.c3-empty {
  fill: #808080;
  font-size: 2em;
}

/* Line */
.c3-line {
  stroke-width: 1px;
}

/* Point */
.c3-circle._expanded_ {
  stroke-width: 1px;
  stroke: white;
}

.c3-selected-circle {
  fill: white;
  stroke-width: 2px;
}

/* Bar */
.c3-bar {
  stroke-width: 0;
  fill-opacity: .9;
}

.chart .c3-bar {
  filter: url(#drop-shadow);
}

.chart .c3-bar._expanded_ {
  filter: url(#drop-shadow-hover);
}

  /* Focus */
.c3-target.c3-focused {
  opacity: 1;
}

.c3-target.c3-focused path.c3-line, .c3-target.c3-focused path.c3-step {
  stroke-width: 2px;
}

.c3-target.c3-defocused {
  opacity: 0.3 !important;
}

/* Region */
.c3-region {
  fill: steelblue;
  fill-opacity: 0.1;
}

/* Brush */
.c3-brush .background {
  /*cursor: default !important;*/
  visibility: visible !important;
  fill: rgba(0, 0, 0, .05);
}

.dashboard__item .c3-brush .background {
  fill: none;
}
.dashboard__item:hover .c3-brush .background {
  fill: rgba(0, 0, 0, .05);
}

.c3-brush .extent {
  fill-opacity: 0.18;
  transition: fill-opacity .05s linear;
  /*cursor: default !important;*/
}

.dashboard__item .c3-brush .extent {
  fill-opacity: 0;
}
.dashboard__item:hover .c3-brush .extent {
  fill-opacity: 0.18;
}

.c3-brush .extent:hover,
.c3-brush .extent:active {
  fill-opacity: 0.33;
}

.c3-brush--decorated .extent {
  fill: #12b4fb;
  stroke-width: 2;
  stroke: #1395e1;
}

.c3-brush--decorated .resize rect {
  fill: #fff;
  fill-opacity: 1;
  stroke-width: 2;
  stroke: #777;
  visibility: visible !important;
}

.subchart--decorated line {
  stroke: none
}

/*.c3-brush-scroll .extend {*/
  /*height: 30px;*/
  /*fill: red;*/
/*}*/

/* Select - Drag */
/* Legend */
.chart-title {
  position: relative;
  text-align: center;
  padding: 20px 0 10px;
}
.c3-page__prev,
.c3-page__next {
  position: absolute;
  top: 50%;
  font-size: 22px;
  height: 28px;
  line-height: 25px;
  margin-top: -14px;
  background-color: #3173ac;
  color: #ffffff;
  text-align: center;
  width: 28px;
  text-transform: uppercase;
  border-radius: 15px;
}
.c3-page__prev:hover,
.c3-page__next:hover {
  color: #ffffff;
  text-decoration: none;
}
.c3-page__prev {
  left: 0;
}
.c3-page__next {
  right: 0;
}
.c3-legend__buttons {
  margin: 0 15px 10px;
}
.dashboard__item .c3-legend__buttons {
  display: none;
}
.c3-legend__list {
  display: inline-block;
  vertical-align: middle;
  margin: 0 10px;
  max-height: 100px;
  overflow-y: auto;
  text-align: center;
  cursor: default;
}
.c3-legend__list--modal .c3-legend__list {
  display: block;
  margin: 0;
  text-align: left;
}

.c3-legend__item {
  display: inline-block;
  vertical-align: middle;
  font-size: 12px;
  padding: 5px 10px;
  transition: opacity .05s linear;
  color: rgba(0, 0, 0, .87);
}

.c3-legend__list--modal .c3-legend__item {
  display: block;
  margin: 10px 0 0;
  padding: 0;
}

.c3-legend__item--disabled,
.c3-legend__list:hover .c3-legend__item--disabled:hover {
  opacity: .5;
}

.c3-legend__item--selected {
  position: relative;
}

.c3-legend__item--selected:after {
  cursor: pointer;
  display: inline-block;
  vertical-align: middle;
  margin: 0 0 2px 5px;
  content: "\e014";
  font: 11px/1.3 "Glyphicons Halflings";
  color: #000;
}

.c3-legend__item--selected.c3-legend__item--disabled {
  display: none;
}

.c3-legend__list:hover .c3-legend__item.hover {
  opacity: 1;
}

.c3-legend__list:hover .c3-legend__item--disabled.hover {
  opacity: .5;
}

.c3-legend__list .c3-legend__item {
  cursor: pointer;
}

.c3-legend__icon {
  display: inline-block;
  width: 10px;
  height: 10px;
  margin-bottom: 3px;
  vertical-align: middle;
  margin-right: 5px;
}

.c3-legend__symbol {
  position: absolute;
  left: 50%;
  top: 50%;
  width: 6px;
  height: 6px;
  border-radius: 4px;
  margin: -3px 0 0 -3px;
}

.c3-legend__icon--line,
.c3-legend__icon--line-simple {
  position: relative;
  width: 20px;
  height: 2px;
}

.c3-legend__icon--line-simple .c3-legend__symbol,
.c3-legend__icon--dashed .c3-legend__symbol {
  display: none;
}

.c3-legend__icon--dashed {
  width: 20px;
  height: 0;
  border-top: 2px dashed;
  background: none !important;
}

.c3-legend__filter {
  padding: 10px 10px 0;
}

.c3-legend__clear-filter:before {
  cursor: pointer;
  display: inline-block;
  vertical-align: top;
  margin: 9px 0 2px 5px;
  content: "\e014";
  font: 11px/1.3 "Glyphicons Halflings";
  color: #000;
}

.c3-legend-item-hidden {
  opacity: 0.15;
}

.c3-legend-background {
  opacity: 0.75;
  fill: white;
  stroke: lightgray;
  stroke-width: 1;
}

/* Title */
.c3-title {
  font: 14px sans-serif;
}

/* Tooltip */
.c3-tooltip-container {
  max-width: 400px;
  z-index: 10;
}

.c3-tooltip {
  border-collapse: collapse;
  border-spacing: 0;
  background-color: #fff;
  empty-cells: show;
  border: 1px solid rgba(0, 0, 0, .15);
  box-shadow: 7px 7px 12px -9px rgba(0, 0, 0, .4);
  opacity: 0.9;
}

.c3-tooltip td,
.c3-tooltip th {
  border: none;
}

.c3-tooltip th {
  font-weight: bold;
  font-size: 14px;
  padding: 4px 6px;
  text-align: left;
}

.c3-tooltip td {
  font-size: 13px;
  padding: 4px 6px;
  background-color: #fff;
}

.c3-tooltip .c3-tooltip-container__text td {
  font-size: 11px;
}

.c3-tooltip .c3-tooltip-container__separator td {
  border-top: 1px solid #bbb;
}

.c3-tooltip td > span {
  display: inline-block;
  width: 10px;
  height: 10px;
  margin-right: 6px;
}

.c3-tooltip td.value {
  text-align: right;
}

/* Area */
.c3-area {
  stroke-width: 0;
  opacity: 0.2;
}

/* Arc */
.c3-chart-arcs-title {
  dominant-baseline: middle;
  font-size: 1.3em;
}

.c3-chart-arcs .c3-chart-arcs-background {
  fill: #e0e0e0;
  stroke: none;
}

.c3-chart-arcs .c3-chart-arcs-gauge-unit {
  fill: #000;
  font-size: 16px;
}

.c3-chart-arcs .c3-chart-arcs-gauge-max {
  fill: #777;
}

.c3-chart-arcs .c3-chart-arcs-gauge-min {
  fill: #777;
}

.c3-chart-arc .c3-gauge-value {
  fill: #000;
  /*font-size: 28px !important;*/
}

/* download, info buttons */
.c3-download__button,
.c3-info__button {
  display: inline-block;
  vertical-align: bottom;
  margin-right: 10px;
}

/* info modal */
.modal_graph_legend {
  padding-top: 5%;
  height: 90%;
}

#tooltip {
  position: fixed;
  border: 1px solid #eee;
  font: 12px/17px Arial, sans-serif;
  background-color: #ffffff;
  border-radius: 5px;
  margin: 20px 0 0 20px;
  padding: 5px 10px;
  box-shadow: 1px 2px 5px rgba(0, 0, 0, .16);
  z-index: 1040;
}
